<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ProjectACES: Dijkstra_node Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ProjectACES
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structDijkstra__node-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Dijkstra_node Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="structDijkstra__node.html" title="Dijkstra_node struct.">Dijkstra_node</a> struct.  
 <a href="structDijkstra__node.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="dijkstra_8hpp_source.html">dijkstra.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a924c56b2810b43810acff0073829f5ef"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structDijkstra__node.html#a924c56b2810b43810acff0073829f5ef">operator&lt;</a> (const <a class="el" href="structDijkstra__node.html">Dijkstra_node</a> &amp;other) const</td></tr>
<tr class="memdesc:a924c56b2810b43810acff0073829f5ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Operator &lt; is overwritten for sorting the list of nodes that we should search next.  <a href="structDijkstra__node.html#a924c56b2810b43810acff0073829f5ef">More...</a><br /></td></tr>
<tr class="separator:a924c56b2810b43810acff0073829f5ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6aae890018da4a85d21789e3330b2ea"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structDijkstra__node.html#aa6aae890018da4a85d21789e3330b2ea">operator==</a> (const <a class="el" href="structDijkstra__node.html">Dijkstra_node</a> &amp;other) const</td></tr>
<tr class="memdesc:aa6aae890018da4a85d21789e3330b2ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Operator == is overwritten for checking if 2 nodes are the same.  <a href="structDijkstra__node.html#aa6aae890018da4a85d21789e3330b2ea">More...</a><br /></td></tr>
<tr class="separator:aa6aae890018da4a85d21789e3330b2ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae55077460d68aa1afe07b0e8080d0c62"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structDijkstra__node.html#ae55077460d68aa1afe07b0e8080d0c62">operator!=</a> (const <a class="el" href="structDijkstra__node.html">Dijkstra_node</a> &amp;other) const</td></tr>
<tr class="memdesc:ae55077460d68aa1afe07b0e8080d0c62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Operator != is overwritten for checking if 2 nodes are not the same.  <a href="structDijkstra__node.html#ae55077460d68aa1afe07b0e8080d0c62">More...</a><br /></td></tr>
<tr class="separator:ae55077460d68aa1afe07b0e8080d0c62"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa624c7af841e2ec465496776f494f8b5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structDijkstra__node.html#aa624c7af841e2ec465496776f494f8b5">row</a></td></tr>
<tr class="memdesc:aa624c7af841e2ec465496776f494f8b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">the ROW in the maze  <a href="structDijkstra__node.html#aa624c7af841e2ec465496776f494f8b5">More...</a><br /></td></tr>
<tr class="separator:aa624c7af841e2ec465496776f494f8b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dad7d972b5f93608cf2998cfe9f2c98"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structDijkstra__node.html#a3dad7d972b5f93608cf2998cfe9f2c98">col</a></td></tr>
<tr class="memdesc:a3dad7d972b5f93608cf2998cfe9f2c98"><td class="mdescLeft">&#160;</td><td class="mdescRight">the COLUMN in the maze  <a href="structDijkstra__node.html#a3dad7d972b5f93608cf2998cfe9f2c98">More...</a><br /></td></tr>
<tr class="separator:a3dad7d972b5f93608cf2998cfe9f2c98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa425cda19cfa6c2c7795805da27ea3b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structDijkstra__node.html#aaa425cda19cfa6c2c7795805da27ea3b">dist</a></td></tr>
<tr class="memdesc:aaa425cda19cfa6c2c7795805da27ea3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">the DISTANCE in the from the starting node to the current node  <a href="structDijkstra__node.html#aaa425cda19cfa6c2c7795805da27ea3b">More...</a><br /></td></tr>
<tr class="separator:aaa425cda19cfa6c2c7795805da27ea3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="structDijkstra__node.html" title="Dijkstra_node struct.">Dijkstra_node</a> struct. </p>
<p>Is used to store the ROW, COLUMN and DISTANCE of each node in the maze that is being searched. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ae55077460d68aa1afe07b0e8080d0c62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae55077460d68aa1afe07b0e8080d0c62">&#9670;&nbsp;</a></span>operator!=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Dijkstra_node::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structDijkstra__node.html">Dijkstra_node</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Operator != is overwritten for checking if 2 nodes are not the same. </p>
<p>Two nodes are not equal when they are not on the same ROW and COL.</p>
<dl class="section return"><dt>Returns</dt><dd>this.row != other.row &amp;&amp; this.col != other.col; </dd></dl>

</div>
</div>
<a id="a924c56b2810b43810acff0073829f5ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a924c56b2810b43810acff0073829f5ef">&#9670;&nbsp;</a></span>operator&lt;()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Dijkstra_node::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structDijkstra__node.html">Dijkstra_node</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Operator &lt; is overwritten for sorting the list of nodes that we should search next. </p>
<p>The nodes must be orderd by how close they are to the starting_node.</p>
<dl class="section return"><dt>Returns</dt><dd>this.dist &lt; other.dist; </dd></dl>

</div>
</div>
<a id="aa6aae890018da4a85d21789e3330b2ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6aae890018da4a85d21789e3330b2ea">&#9670;&nbsp;</a></span>operator==()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Dijkstra_node::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structDijkstra__node.html">Dijkstra_node</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Operator == is overwritten for checking if 2 nodes are the same. </p>
<p>Two nodes are equal when they are on the same ROW and COL.</p>
<dl class="section return"><dt>Returns</dt><dd>this.row == other.row &amp;&amp; this.col == other.col; </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a3dad7d972b5f93608cf2998cfe9f2c98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dad7d972b5f93608cf2998cfe9f2c98">&#9670;&nbsp;</a></span>col</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Dijkstra_node::col</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>the COLUMN in the maze </p>

</div>
</div>
<a id="aaa425cda19cfa6c2c7795805da27ea3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa425cda19cfa6c2c7795805da27ea3b">&#9670;&nbsp;</a></span>dist</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Dijkstra_node::dist</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>the DISTANCE in the from the starting node to the current node </p>

</div>
</div>
<a id="aa624c7af841e2ec465496776f494f8b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa624c7af841e2ec465496776f494f8b5">&#9670;&nbsp;</a></span>row</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Dijkstra_node::row</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>the ROW in the maze </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="dijkstra_8hpp_source.html">dijkstra.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
